---
title: Resume
weight: 0
seo:
    title: Resume
    description: Successfully completed and delivered a platform to digitize a
        guitar signal and perform filtering before executing frequency & time domain
        analysis to track a current performance against prerecorded performance.
    extra:
        - name: og:type
          value: website
          keyName: property
        - name: og:title
          value: Resume
          keyName: property
        - name: og:description
          value: This is the Resume page
          keyName: property
        - name: twitter:card
          value: summary
        - name: twitter:title
          value: Resume
        - name: twitter:description
          value: This is the Resume page
template: docs
---

# _**Resume**_

<div align="center">

# **Bryan** **Guner**

## _551-254-5505 | [bryan.guner@gmail.com](mailto:bryan.guner@gmail.com)_

</div>

## ➤Skills

| Languages:              | JavaScript ES-6, NodeJS, HTML5, CSS3, SCSS, Bash Shell, SQL, MATLAB, Python, C++, Mathematica, JSON                        |
| ----------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| Frameworks / Libraries: | React, Redux, ExpressJS, Gatsby, NextJS, Ant-Design, Loadash, Sequelize, GraphQL, AJAX, Jest, Mocha, jQuery, Electron      |
| Databases:              | PostgreSQL, MongoDB, SQlite3                                                                                               |
| Tools:                  | Figma, Adobe XD, GitHub, GitLab, Excel, VSCode, Sublime Text, Atom, Google Analytics, Bootstrap, Tailwind, FontAwesome     |
| Tools (continued):      | Docker, Firebase, Postman, Wordpress, Chrome Dev Tools, Jira, Trello, Confluence, Firebase, AWS S3, Okta, Algolia, Loadash |
| Hosting:                | Heroku, Netlify, Vercel, Wordpress, Cloudfare, AWS, Firebase, Digital Ocean                                                |
| Operating Systems:      | Linux, Windows (WSL), IOS                                                                                                  |

## ➤Projects

**Gatsby** **GraphQL-Blog** **[Live Site |](https://stackbit-clone.netlify.app/)[GitHub](https://github.com/bgoonz/BGOONZ_BLOG_2.0)**

**Stack:** _JavaScript, React / Gatsby | GraphQL | SCSS | Lodash | Jamstack | Facebook Comments API | jQuery | Firebase_

_**A**_[_**web development blog**_](https://stackbit-clone.netlify.app/)_**featuring convenient web development tools and interactive content**_

-   Implemented 4 Gatsby page models and GraphQL schema to fetch markdown content and feed it into react components.
-   Designed and integrated a set of convenient web-hosted [developer tools](https://stackbit-clone.netlify.app/docs/tools/) and GUI interfaces.
-   Added interactive content including comments, [video conferencing](https://stackbit-clone.netlify.app/docs/interact/video-chat/), [data-structure visualization](https://stackbit-clone.netlify.app/docs/interact/other-sites/), [games](https://stackbit-clone.netlify.app/docs/interact/) and full text search.

**Autonomously Triggered Guitar Effects Platform\*\*** [Live Site](https://bgoonz.github.io/Revamped-Automatic-Guitar-Effect-Triggering/)| [GitHub](https://github.com/bgoonz/Revamped-Automatic-Guitar-Effect-Triggering/tree/master/Triggered-Guitar-Effects-Platform)\*\*

**Stack:** _C++ | Python | MATLAB | PureData_

[_**Platform**_](https://bgoonz.github.io/Revamped-Automatic-Guitar-Effect-Triggering/SR%20Project%20II%20Presentation.pdf)_**designed to analyze a time sequence of notes and autonomously trigger guitar effects at**_[_**a predetermined point in the song**_](https://youtu.be/pRKjaprdWx4)

-   Used pure data to filter a guitar signal before executing frequency domain analysis and implementing [custom built guitar effects.](https://youtu.be/krRVGoK9NcA)
-   Implemented the Dynamic Time Warping algorithm in C++ and Python to generate a time agnostic measure of similarity between performances.
-   Autonomously activated or adjusted guitar effects at multiple pre-designated sections of performance.

---

**Data Structures** [**Interactive Teaching Tool**](https://ds-algo-official.netlify.app/)[**Live Site**](https://ds-algo-official.netlify.app/) **|\*\*** [GitHub](https://github.com/bgoonz/DS-ALGO-OFFICIAL)\*\*

**Stack:** _jQuery | ExpressJS | Google Analytics |Algolia Full Text Search | Amazon S3_

_**A**_[_**website**_](https://youtu.be/onquAh1Bl0g)_**for visualizing and practicing data structures and algorithms in JavaScript &amp; Python**_

-   Implemented an repl.it backend to enable commenting using express and the fs **module** to write user comments to a storage.json file.
-   Developed proprietary npm package to recursively walk the project directory structure and generate a [site navigation page](https://ds-algo-official.netlify.app/sitemap.html).
-   Created multiple embedded data structure visualizations that interact with user input.
-   Automated the generation and submission of a [sitemap](https://ds-algo-official.netlify.app/sitemap.xml)to (Google, Bing, and Yandex) on every build.

---

<br>

## ➤ Experience

**Product Development Engineer |** [_**Cembre**_](https://www.cembre.com/)_**, Edison, NJ**\_\_|_**Oct 2019 - Mar 2020**

-   Converted client&#39;s product needs into [technical specs](https://www.cembre.com/family/details/5202) to be sent to the development team in Italy.
-   Reorganized internal file server structure and conducted system integration and product demonstrations.
-   Presided over internal and end user software trainings in addition to producing customer facing documentation.
-   Conducted [electrical conductivity &amp; tensile testing of electrical components](https://drive.google.com/drive/folders/1USAQtiQ3jLm3fiRCxIm4TEkWGlq4fO6j?usp=sharing) and presided over troubleshooting railroad hardware and software in North America.

[**Family Promise**](https://familypromise.org/) **Service Tracker**

**Full Stack Web Development Intern | Remote | Sept 2021 - Present** **[Live Site |](https://a.familypromiseservicetracker.dev/)[GitHub](https://github.com/Lambda-School-Labs/family-promise-service-tracker-fe-a)**

**Stack:** _React | Redux | ExpressJS | Figma | Okta | AWS_

_**An**_[_**app**_](https://bryan-guner.gitbook.io/lambda-labs/navigation/roadmap)_**built to helps local communities provide services to address the root causes of family homelessness**_

-   Collaborated on state management using Redux to handle application state and middleware using redux-promise &amp; redux-thunk.
-   Built two graphic visuals of the user hierarchy and the scope of their permissions as well as maintained the team&#39;s [docs](https://bryan-guner.gitbook.io/my-docs/v/lambda-labs/).
-   Created Figma UI mockups for possible future developments, such as displaying metrics data and map pinpoint functionality.

<br>

---

## ➤ Education

#### [**Lambda School**](https://www.credly.com/badges/bd145ba3-0f09-42fc-8d1f-a3bc4e0a46b4/public_url) , _**Full Stack Web Development**_

> _**May 2020 - Nov 2021**_

Six-month immersive software development course with a focus on [full stack web development](https://gist.github.com/bgoonz/17494dab0042a6f70eda7929c08c878f). Over 2000 hours of work invested including class time, homework, and projects.

**B.S.** [**Electrical Engineering**](https://electrical-computerengineering.tcnj.edu/) **, TCNJ, Ewing NJ** **2014 - 2019**

[2 **Curriculum link**](https://github.com/bgoonz/random-static-html-page-deploy/blob/master/ElectricalEngineeringCurriculum.pdf)

> [Knowledge of](https://bryan-guner.gitbook.io/my-docs/v/electrical-engineering/) circuit boards, processors, chips, electronic equipment, and computer hardware and software, including applications and programming.

<div align="center">

_**References &amp; further work experience available upon request.**_

</div>
<iframe style="resize:both; overflow:scroll;"  sandbox="allow-scripts"  src="https://onedrive.live.com/embed?cid=D21009FDD967A241&resid=D21009FDD967A241%21738414&authkey=AK-_7RN0U5yPS_U&em=2" width="100%" height="800" frameborder="0" scrolling="yes">
</iframe>
<br>
